%define name    opengroupware-js
%define version	1.5
%define cvs	 20030721
%define release %{cvs}.1mdk

Summary:     SpiderMonkey JavaScript library for the OpenGroupware.org env
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     MPL
URL: 	     http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Prereq:      opengroupware-gstep-make

Source:      opengroupware.org-js-%{cvs}.tar.bz2
Patch:       opengroupware.org-js-200307100103-installroot.patch.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel 
BuildRequires: opengroupware-gstep-objc opengroupware-gstep-objc-devel
BuildRequires: opengroupware-libfoundation opengroupware-libfoundation-devel
Requires:  opengroupware-gstep-make opengroupware-gstep-make-devel
Requires: opengroupware-libfoundation

%description
This package contains the SpiderMonkey JavaScript library of the Mozilla
project compiled for the OpenGroupware.org environment.

%package devel
Summary: The header files for the JavaScript library.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the JavaScript library.

%prep
%setup -q -n opengroupware.org-js
%patch -p1 -b .installroot

%build

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=$RPM_BUILD_DIR/%{prefix}
make -s debug=yes all


%install

GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}/user
make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" install >.imake.log

%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi

%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi
ldconfig -n $RPM_INSTALL_PREFIX/Libraries/ix86/linux-gnu/gnu-fd-nil

%files
%defattr(-,root,root,-)
%doc README README.html ChangeLog
%dir %{prefix}/Libraries
%dir %{prefix}/Libraries/ix86
%dir %{prefix}/Libraries/ix86/linux-gnu
%dir %{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libjs*.so.1*
%dir %{prefix}/Tools
%dir %{prefix}/Tools/ix86
%dir %{prefix}/Tools/ix86/linux-gnu
%{prefix}/Tools/ix86/linux-gnu/js

%files devel
%defattr(-,root,root,-)
%{prefix}/Headers/js
%dir %{prefix}/Headers
%dir %{prefix}/Headers/ix86
%dir %{prefix}/Headers/ix86/linux-gnu
%{prefix}/Headers/ix86/linux-gnu/jsautocfg.h
%{prefix}/Libraries/ix86/linux-gnu/gnu-fd-nil/libjs*.so

%clean
rm -fr $RPM_BUILD_ROOT

%changelog
* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 1.5-20030721.1mdk
- library-devel requires library
- Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
  - based on Redhat specfile

